Subject: Re: [Mipshop] AAA-based Handover Keys

From: "John.zhao" <[email-masked]>
Date: Thu, 31 Jul 2008 13:40:57 +0100

Hi,Chairs

    +1.
	
			Best Rgds,
Thanks,
 				 
John.zhao
[email-masked]
2008-07-31
======= 2008-07-31 08:19:00 You have said:=======

>Hi Chairs,
>  I think that having at least an informational document is a good idea. I am willing to work on such a document along with other interested folks.
> 
>Thanks
>Suresh
>
>________________________________
>
>From: [email-masked] on behalf of Stefano Faccin
>Sent: Thu 31/07/2008 5:49 AM
>To: Vijay Devarapalli; [email-masked]
>Subject: Re: [Mipshop] AAA-based Handover Keys
>
>
>
>I would definitely support creating only the informational document.
>Stefano
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>Behalf
>> Of Vijay Devarapalli
>> Sent: Wednesday, July 30, 2008 10:49 AM
>> To: [email-masked]
>> Subject: [Mipshop] AAA-based Handover Keys
>>
>> Hello Folks,
>>
>> We didn't get a chance to discuss the next steps on AAA-based handover
>> keys. We ran out of time. Here are some observations.
>>
>> For progressing FMIPv6 to Proposed Standard, we have standardized one
>> mechanism based on SeND. I don't expect this mechanism to be
>implemented
>> by anyone. This could change if SeND does get deployed, but that might
>> take some time.
>>
>> There are some solutions available for AAA-based handover keys.
>>
>> - There is one draft from Alper that talks about deriving the MN-AR
>key
>> assuming that there is some sort of shared key between the mobile node
>> and the access router.
>> - The second one is from Vidya that defines a new protocol with
>message
>> exchange between the mobile node, the access router and the handover
>> keying server (presumably on the AAA) for deriving a MN-AR key for use
>> with FMIPv6.
>> - The third one is to punt part of the problem to HOKEY. We assume
>that
>> there is an USRK available for FMIPv6 and we just describe how to
>derive
>> the MN-AR key from this USRK.
>>
>> We could pick one and standardize it. But the issue is that I don't
>> think there would be any customers (SDO or non-SDO) for the solution
>we
>> develop in the MIPSHOP WG. The expectation is that SDOs would use some
>> access-specific signaling to secure MN-AR FMIPv6 messages. I also
>think
>> that we don't have sufficient information today to pick a solution.
>>
>> So the proposal is to write up an Informational document that says
>there
>> are a number of ways to leverage the AAA infrastructure to derive
>MN-AR
>> key for FMIPv6. We don't actually define a solution. Just point to
>some
>> of the possible solutions. We won't be standardizing any of the
>solution
>> documents. In addition, we can mention in the document that if there
>is
>> sufficient interest in one of the solutions or if some solution
>actually
>> gets deployed in the future, we can pick that and standardize it.
>>
>> The slides that I was going to present are at
>> http://www.ietf.org/proceedings/08jul/slides/mipshop-3.pdf
>>
>> Comments?
>>
>> Vijay
>> _______________________________________________
>> Mipshop mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mipshop
>_______________________________________________
>Mipshop mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mipshop
>
>
>_______________________________________________
>Mipshop mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mipshop

= = = = = = = = = = = = = = = = = = = =

_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop